Imports System
Imports System.IO
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Navigation

Imports System.Windows.Shapes
Imports System.Windows.Input

Partial Public Class Window1
    Public Sub New()
        MyBase.New()

        Me.InitializeComponent()

        ' Insert code required on object creation below this point.

        ' Start with the red skin.
        LoadSkin("Red.xaml")
    End Sub

#Region "Work routines"
    Private Sub RepairDisk()
        MessageBox.Show("Repair Disk")
    End Sub

    Private Sub VirusCheck()
        MessageBox.Show("Virus Check")
    End Sub

    Private Sub FormatDisk()
        MessageBox.Show("Format Disk")
    End Sub

    ' Load the skin file and wire up event handlers.
    Private Sub LoadSkin(ByVal skin_file As String)
        ' Load the controls.
        Dim element As FrameworkElement = _
            Application.LoadComponent(New Uri(skin_file, UriKind.Relative))
        Me.Content = element

        ' Wire up the event handlers.
        Dim btn As Button
        Dim pgn As Polygon
        Dim rect As Rectangle
        Dim grd As Grid
        Dim ell As Ellipse

        Select Case element.Tag.ToString()
            Case "Red"
                btn = element.FindName("btnRepairDisk")
                AddHandler btn.Click, New RoutedEventHandler(AddressOf btnRepairDisk_Click)

                btn = element.FindName("btnVirusCheck")
                AddHandler btn.Click, New RoutedEventHandler(AddressOf btnVirusCheck_Click)

                btn = element.FindName("btnFormatDisk")
                AddHandler btn.Click, New RoutedEventHandler(AddressOf btnFormatDisk_Click)

                pgn = element.FindName("pgnSkin")
                AddHandler pgn.MouseDown, New MouseButtonEventHandler( _
                    AddressOf pgnSkin_MouseDown)

                rect = element.FindName("rectMove")
                AddHandler rect.MouseDown, New MouseButtonEventHandler( _
                    AddressOf rectMove_MouseDown)

                grd = element.FindName("grdExit")
                AddHandler grd.MouseDown, New MouseButtonEventHandler( _
                    AddressOf grdExit_MouseDown)

            Case "Blue"
                grd = element.FindName("grdRepairDisk")
                AddHandler grd.MouseDown, New MouseButtonEventHandler( _
                    AddressOf grdRepairDisk_MouseDown)

                grd = element.FindName("grdVirusCheck")
                AddHandler grd.MouseDown, New MouseButtonEventHandler( _
                    AddressOf grdVirusCheck_MouseDown)

                grd = element.FindName("grdFormatDisk")
                AddHandler grd.MouseDown, New MouseButtonEventHandler( _
                    AddressOf grdFormatDisk_MouseDown)

                ' Uses the same event handler as pgnSkin.
                ell = element.FindName("ellSkin")
                AddHandler ell.MouseDown, _
                    New System.Windows.Input.MouseButtonEventHandler( _
                        AddressOf pgnSkin_MouseDown)

                ' Uses the same event handler as rectMove.
                ell = element.FindName("ellMove")
                AddHandler ell.MouseDown, _
                    New System.Windows.Input.MouseButtonEventHandler( _
                        AddressOf rectMove_MouseDown)

                grd = element.FindName("grdExit")
                AddHandler grd.MouseDown, _
                    New System.Windows.Input.MouseButtonEventHandler( _
                        AddressOf grdExit_MouseDown)

        End Select
    End Sub
#End Region ' Work routines

#Region "Red skin event handlers"
    Private Sub btnRepairDisk_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        RepairDisk()
    End Sub

    Private Sub btnVirusCheck_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        VirusCheck()
    End Sub

    Private Sub btnFormatDisk_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        FormatDisk()
    End Sub

    Private Sub pgnSkin_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        Dim element As FrameworkElement = DirectCast(sender, FrameworkElement)
        LoadSkin(element.Tag.ToString())
    End Sub

    Private Sub rectMove_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        Me.DragMove()
    End Sub

    Private Sub grdExit_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        Me.Close()
    End Sub
#End Region ' Red skin event handlers"

#Region "Blue skin event handlers"
    Private Sub grdRepairDisk_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        RepairDisk()
    End Sub

    Private Sub grdVirusCheck_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        VirusCheck()
    End Sub

    Private Sub grdFormatDisk_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        FormatDisk()
    End Sub
#End Region ' Blue skin event handlers"

End Class
